
#ifndef CONTROLLER_H
#define CONTROLLER_H

#include <iostream>
#include "DBBuilderController.h"
#include "DataContainer.h"

#include "GacenException.h"

namespace gacen {

    /*! \brief The Controller class
     *
     *  The Controller class manage the processus of the analysis ie check for data availibility, report status, alert user...
     */
    class Controller
    {
    public:
        /*! \brief Constructor
         *
         *  Empty Constructor
         */
        Controller ();
    
        /*! \brief Destructor
         *
         *  Empty Destructor
         */
        virtual ~Controller ();
    
        /*
         * Accessor
         */
    
        /*! \brief Accessor to status
         *
         *  \return status value
         */
        int getStatus();
    
        /*
         * Other methods
         */
    
        /*! \brief Wait until the requiered data is available
         *
         *  For now, nothing is done here
         */
        void wait_for_data ();
    
        /*! \brief Report status
         *
         *  Report errors depending on the status value.
         */
        void report_status ();
    protected:
    
    private:
        /*
         * Arguments
         */
    
        /*! Status value */
        int status=0;
    };
}
#endif // CONTROLLER_H
