
#ifndef DBBUILDERCONTROLLER_H
#define DBBUILDERCONTROLLER_H

#include <iostream>

#include "DataContainer.h"
#include "DetectorAnalyser.h"

namespace gacen {
    /*! \brief The DBBuilderController class
     *
     *  The DBBuilderController class manage the interface with the DBBuilder.
     * 
     */
    class DBBuilderController
    {
    public:
    
        // Constructors/Destructors
        //  
    
        /*! \brief Constructor
         *
         *  Empty Constructor
         */
        DBBuilderController ();
    
        /*! \brief Destructor
         *
         *  Empty Destructor
         */
        virtual ~DBBuilderController ();
    
        /*
         * Dummy methods:
         */
    
        /*! \brief Method to load data from DB
         *
         *  For now, just set random data.
         *
         *  \return DataContainer set with random value
         */
        DataContainer load_data_from_db ();
    
        /*! \brief Method to load data from DB
         *
         *  For now, do nothing
         */
        void write_img_to_db(DetectorAnalyser Data);
    
    protected:
    
    private:
    
    };
}
#endif // DBBUILDERCONTROLLER_H
