
#ifndef DETECTORANALYSER_H
#define DETECTORANALYSER_H

#include <iostream>

#include "DataContainer.h"

namespace gacen {
    /*! \brief Detector Analyser
     * 
     *  Analyse detector noise, compute dark map
     *
     */
    class DetectorAnalyser
    {
    public:
        // Constructors/Destructors
        //  
    
        /*! Constructor
         *
         *  Initialize
         *
         */
        DetectorAnalyser ();
    
        /*! Destructor
         * 
         *  Delete allocated memory
         *  - dark_mean
         *  - dark_std
         */
        virtual ~DetectorAnalyser ();
    
        /*! Verify dark
         *
         *  This method compute the dark image from a set of images
         *
         *  \param set of image in DataContainer
         */
        void verify_dark (DataContainer Data);
    
    protected:
    
    private:
        /*! Size of the images */
        int size;

        /*! Image of dark mean value */
        float ** dark_mean;

        /*! Image of dark variance */
        float ** dark_var;
    };
}
#endif // DETECTORANALYSER_H
